---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "harvester_cloudinit_secret Resource - terraform-provider-harvester"
subcategory: ""
description: |-
  
---

# harvester_cloudinit_secret (Resource)



## Example Usage

```terraform
resource "harvester_cloudinit_secret" "cloud-config-opensuse154" {
  name      = "cloud-config-opensuse154"
  namespace = "default"

  depends_on = [
    harvester_ssh_key.mysshkey
  ]

  user_data    = <<-EOF
    #cloud-config
    password: 123456
    chpasswd:
      expire: false
    ssh_pwauth: true
    package_update: true
    packages:
      - qemu-guest-agent
    runcmd:
      - - systemctl
        - enable
        - '--now'
        - qemu-guest-agent
    ssh_authorized_keys:
      - >-
        public_key content of harvester_ssh_key.mysshkey
    EOF
  network_data = ""
}

resource "harvester_cloudinit_secret" "cloud-config-ubuntu20" {
  name      = "cloud-config-ubuntu20"
  namespace = "default"

  user_data    = <<-EOF
    #cloud-config
    password: 123456
    chpasswd:
      expire: false
    ssh_pwauth: true
    package_update: true
    packages:
      - qemu-guest-agent
    runcmd:
      - - systemctl
        - enable
        - '--now'
        - qemu-guest-agent
    EOF
  network_data = ""
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **name** (String) A unique name

### Optional

- **description** (String) Any text you want that better describes this resource
- **id** (String) The ID of this resource.
- **namespace** (String)
- **network_data** (String)
- **network_data_base64** (String)
- **tags** (Map of String)
- **user_data** (String)
- **user_data_base64** (String)

### Read-Only

- **message** (String)
- **state** (String)

## Import

Import is supported using the following syntax:

```shell
terraform import harvester_cloudinit_secret.foo <Namespace>/<Name>
```
