---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "harvester_image Resource - terraform-provider-harvester"
subcategory: ""
description: |-
  
---

# harvester_image (Resource)



## Example Usage

```terraform
resource "harvester_image" "k3os" {
  name      = "k3os"
  namespace = "harvester-public"

  display_name = "k3os"
  source_type  = "download"
  url          = "https://github.com/rancher/k3os/releases/download/v0.20.6-k3s1r0/k3os-amd64.iso"
}

resource "harvester_image" "ubuntu20" {
  name      = "ubuntu20"
  namespace = "harvester-public"

  display_name = "ubuntu-20.04-server-cloudimg-amd64.img"
  source_type  = "download"
  url          = "http://cloud-images.ubuntu.com/releases/focal/release/ubuntu-20.04-server-cloudimg-amd64.img"
}

resource "harvester_image" "ubuntu20-any-1" {
  name      = "ubuntu20-any-1"
  namespace = "harvester-public"

  storage_class_name = harvester_storageclass.any-replicas-1.name

  display_name = "ubuntu20-any-1"
  source_type  = "download"
  url          = "http://cloud-images.ubuntu.com/releases/focal/release/ubuntu-20.04-server-cloudimg-amd64.img"
}

resource "harvester_image" "opensuse154" {
  name      = "opensuse154"
  namespace = "harvester-public"

  display_name = "openSUSE-Leap-15.4.x86_64-NoCloud.qcow2"
  source_type  = "download"
  url          = "https://downloadcontent-us1.opensuse.org/repositories/Cloud:/Images:/Leap_15.4/images/openSUSE-Leap-15.4.x86_64-NoCloud.qcow2"
}

resource "harvester_image" "opensuse154-ssd-3" {
  name      = "opensuse154-ssd-3"
  namespace = "harvester-public"

  storage_class_name = harvester_storageclass.ssd-replicas-3.name

  display_name = "opensuse154-ssd-3"
  source_type  = "download"
  url          = "https://downloadcontent-us1.opensuse.org/repositories/Cloud:/Images:/Leap_15.4/images/openSUSE-Leap-15.4.x86_64-NoCloud.qcow2"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **display_name** (String)
- **name** (String) A unique name
- **source_type** (String)

### Optional

- **description** (String) Any text you want that better describes this resource
- **id** (String) The ID of this resource.
- **namespace** (String)
- **pvc_name** (String)
- **pvc_namespace** (String)
- **storage_class_name** (String)
- **tags** (Map of String)
- **url** (String) supports the `raw` and `qcow2` image formats which are supported by [qemu](https://www.qemu.org/docs/master/system/images.html#disk-image-file-formats). Bootable ISO images can also be used and are treated like `raw` images.

### Read-Only

- **message** (String)
- **progress** (Number)
- **size** (Number)
- **state** (String)
- **storage_class_parameters** (Map of String)
- **volume_storage_class_name** (String)

## Import

Import is supported using the following syntax:

```shell
terraform import harvester_image.foo <Namespace>/<Name>
```
