---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "harvester_network Resource - terraform-provider-harvester"
subcategory: ""
description: |-

---

# harvester_network (Resource)



## Example Usage

```terraform
resource "harvester_network" "mgmt-untagged-network" {
  name      = "mgmt-untagged-network"
  namespace = "harvester-public"

  vlan_id = 0

  route_mode           = "auto"
  route_dhcp_server_ip = ""

  cluster_network_name = data.harvester_clusternetwork.mgmt.name
}

resource "harvester_network" "mgmt-vlan1" {
  name      = "mgmt-vlan1"
  namespace = "harvester-public"

  vlan_id = 1

  route_mode           = "auto"
  route_dhcp_server_ip = ""

  cluster_network_name = data.harvester_clusternetwork.mgmt.name
}

resource "harvester_network" "cluster-vlan1" {
  name      = "cluster-vlan1"
  namespace = "harvester-public"

  vlan_id = 1

  route_mode           = "auto"
  route_dhcp_server_ip = ""

  cluster_network_name = harvester_clusternetwork.cluster-vlan.name
  depends_on = [
    harvester_vlanconfig.cluster-vlan-node1
  ]
}

resource "harvester_network" "cluster-vlan" {
  for_each  = toset(["2", "3"])
  name      = "cluster-vlan${each.key}"
  namespace = "harvester-public"

  vlan_id = each.key

  route_mode    = "manual"
  route_cidr    = "172.16.0.1/24"
  route_gateway = "172.16.0.1"

  cluster_network_name = harvester_clusternetwork.cluster-vlan.name
  depends_on = [
    harvester_vlanconfig.cluster-vlan-node1
  ]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **cluster_network_name** (String)
- **name** (String) A unique name
- **vlan_id** (Number) e.g. 1-4094

### Optional

- **config** (String)
- **description** (String) Any text you want that better describes this resource
- **id** (String) The ID of this resource.
- **namespace** (String)
- **route_cidr** (String) e.g. 172.16.0.1/24
- **route_dhcp_server_ip** (String)
- **route_gateway** (String) e.g. 172.16.0.1
- **route_mode** (String)
- **tags** (Map of String)

### Read-Only

- **message** (String)
- **route_connectivity** (String)
- **state** (String)

## Import

Import is supported using the following syntax:

```shell
terraform import harvester_network.foo <Namespace>/<Name>
```
