---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "harvester_volume Resource - terraform-provider-harvester"
subcategory: ""
description: |-
  
---

# harvester_volume (Resource)



## Example Usage

```terraform
resource "harvester_volume" "mount-disk" {
  name      = "mount-disk"
  namespace = "default"

  size = "10Gi"
}

resource "harvester_volume" "mount-ssd-3-disk" {
  name      = "mount-ssd-3-disk"
  namespace = "default"

  storage_class_name = harvester_storageclass.ssd-replicas-3.name

  size = "10Gi"
}

resource "harvester_volume" "mount-any-1-disk" {
  name      = "mount-any-1-disk"
  namespace = "default"

  storage_class_name = harvester_storageclass.any-replicas-1.name

  size = "10Gi"
}

resource "harvester_volume" "ubuntu20-image-disk" {
  name      = "ubuntu20-image-disk"
  namespace = "default"

  size  = "10Gi"
  image = harvester_image.ubuntu20.id
}

resource "harvester_volume" "opensuse154-image-disk" {
  name      = "opensuse154-image-disk"
  namespace = "default"

  size  = "10Gi"
  image = harvester_image.opensuse154.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **name** (String) A unique name

### Optional

- **access_mode** (String)
- **description** (String) Any text you want that better describes this resource
- **id** (String) The ID of this resource.
- **image** (String)
- **namespace** (String)
- **size** (String)
- **storage_class_name** (String)
- **tags** (Map of String)
- **volume_mode** (String)

### Read-Only

- **attached_vm** (String)
- **message** (String)
- **phase** (String)
- **state** (String)

## Import

Import is supported using the following syntax:

```shell
terraform import harvester_volume.foo <Namespace>/<Name>
```
